Magick::ColorCMYK Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorCMYK:
[legend]
Collaboration diagram for Magick::ColorCMYK:
[legend]

## Public Member Functions

| ColorCMYK (void)
| ColorCMYK (const Color &color_)
| ColorCMYK (const double cyan_, const double magenta_, const double yellow_, const double black_)
| ColorCMYK (const double cyan_, const double magenta_, const double yellow_, const double black_, const double alpha_)
| ~ColorCMYK (void)
ColorCMYK & | operator= (const Color &color_)
void | alpha (const double alpha_)
double | alpha (void) const
void | black (const double black_)
double | black (void) const
void | cyan (const double cyan_)
double | cyan (void) const
void | magenta (const double magenta_)
double | magenta (void) const
void | yellow (const double yellow_)
double | yellow (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorCMYK (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 191 of file Color.h.

## Constructor & Destructor Documentation

## ColorCMYK() [1/5]

Magick::ColorCMYK::ColorCMYK | ( | void |  | ) |

Definition at line 452 of file Color.cpp.

## ColorCMYK() [2/5]

Magick::ColorCMYK::ColorCMYK | ( | const Color & | color_ | ) |

Definition at line 457 of file Color.cpp.

## ColorCMYK() [3/5]

Magick::ColorCMYK::ColorCMYK | ( | const double | cyan_,
|  | const double | magenta_,
|  | const double | yellow_,
|  | const double | black_
| ) |  |

Definition at line 462 of file Color.cpp.

References black(), cyan(), magenta(), and yellow().

## ColorCMYK() [4/5]

Magick::ColorCMYK::ColorCMYK | ( | const double | cyan_,
|  | const double | magenta_,
|  | const double | yellow_,
|  | const double | black_,
|  | const double | alpha_
| ) |  |

Definition at line 472 of file Color.cpp.

References alpha(), black(), cyan(), magenta(), and yellow().

## ~ColorCMYK()

Magick::ColorCMYK::~ColorCMYK | ( | void |  | ) |

Definition at line 483 of file Color.cpp.

## ColorCMYK() [5/5]

Magick::ColorCMYK::ColorCMYK | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |

protected

Definition at line 543 of file Color.cpp.

## Member Function Documentation

## alpha() [1/2]

void Magick::ColorCMYK::alpha | ( | const double | alpha_ | ) |

Definition at line 493 of file Color.cpp.

## alpha() [2/2]

double Magick::ColorCMYK::alpha | ( | void |  | ) | const

Definition at line 498 of file Color.cpp.

Referenced by ColorCMYK().

## black() [1/2]

void Magick::ColorCMYK::black | ( | const double | black_ | ) |

Definition at line 503 of file Color.cpp.

## black() [2/2]

double Magick::ColorCMYK::black | ( | void |  | ) | const

Definition at line 508 of file Color.cpp.

Referenced by ColorCMYK().

## cyan() [1/2]

void Magick::ColorCMYK::cyan | ( | const double | cyan_ | ) |

Definition at line 513 of file Color.cpp.

## cyan() [2/2]

double Magick::ColorCMYK::cyan | ( | void |  | ) | const

Definition at line 518 of file Color.cpp.

Referenced by ColorCMYK().

## magenta() [1/2]

void Magick::ColorCMYK::magenta | ( | const double | magenta_ | ) |

Definition at line 523 of file Color.cpp.

## magenta() [2/2]

double Magick::ColorCMYK::magenta | ( | void |  | ) | const

Definition at line 528 of file Color.cpp.

Referenced by ColorCMYK().

## operator=()

Magick::ColorCMYK & Magick::ColorCMYK::operator= | ( | const Color & | color_ | ) |

Definition at line 487 of file Color.cpp.

## yellow() [1/2]

void Magick::ColorCMYK::yellow | ( | const double | yellow_ | ) |

Definition at line 533 of file Color.cpp.

## yellow() [2/2]

double Magick::ColorCMYK::yellow | ( | void |  | ) | const

Definition at line 538 of file Color.cpp.

Referenced by ColorCMYK().

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp